import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading MmtoMPXDots Converter")

class MmtoMPXDots(Converter):
    def Execute(self, myList=[], *args):
        if myList == None or myList[0] == None:
            return
        value = float(myList[0])
        res = int((value / 25.4) * 300)
        return res
		
plugin = MmtoMPXDots("MmtoMPXDots")

store.AddConverter(plugin)